/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.DeviceDepreciateQuery;
import com.tofly.stocks.entity.DeviceDepreciate;
import com.tofly.stocks.vo.DeviceDepreciateSelectVo;
import com.tofly.stocks.vo.DeviceDepreciateVo;
import org.springframework.beans.factory.config.BeanPostProcessor;

/**
 * 设备折旧表
 *
 * @author admin
 * @date Mon Dec 12 00:00:00 CST 2022
 */
public interface DeviceDepreciateService extends IService<DeviceDepreciate> {



    Page<DeviceDepreciateVo> getDataPage(Page page, DeviceDepreciateQuery deviceDepreciateQuery);

    Page<DeviceDepreciateSelectVo> getDepreciateSelectDataPage(Page page, DeviceDepreciateQuery deviceDepreciateQuery);

    Boolean saveDepreciate(DeviceDepreciate deviceDepreciate);

    Boolean editDepreciate(DeviceDepreciate deviceDepreciate);

    Boolean deleteByIds(String ids);

    /**
     *
     * 定时器计算当前价值
     */
    void xxlJobCurrentPrice();
}
